Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695946 - html2ps wants to install texlive packages that are NOT generally needed
Summary: html2ps wants to install texlive packages that are NOT generally needed
Keywords:
Status: NEW
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: texlive
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 23:22 UTC by antofthy
Modified: 2019-04-03 23:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1577008 None NEW a2ps wants to install 191 texlive packages that are NOT generally needed 2019-04-03 23:23:50 UTC

Description antofthy 2019-04-03 23:22:26 UTC
Description of problem:

The html2ps package only requires dvi2ps and TeX for very special cases.
The code for "html2ps" does not require these packages, though will make use of them in a very rare special case is available, but will still work without it.

This causes a very large number of unneeded packages to be installed, wasting a lot of disk space for something the would never be used.

This is also the cause of the simpular problem with a2ps
Bug number 1577008  which is meant to be a small utility program.
but which does make use of html2ps when user wants to print html.


Version-Release number of selected component (if applicable):

html2ps-1.0-0.31


How reproducible:

Always

Steps to Reproduce:
1.install a2ps or html2ps
2.
3.

Actual results:
200+ texlive unneeded packages are also installed

Expected results:
a small minimal install for a small utility.

Additional info:

Comment 1 antofthy 2019-04-03 23:23:51 UTC
Unable to specify html2ps as the component!   Specified texlive as closest match, though it shouldn't be.


Note You need to log in before you can comment on or make changes to this bug.